<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:s="http://schemas.xmlsoap.org/soap/envelope/" xmlns:m="http://schemas.microsoft.com/exchange/services/2006/messages" xmlns:t="http://schemas.microsoft.com/exchange/services/2006/types">

<xsl:variable name="ExchXslRev">
  <xsl:value-of select="substring(translate('$Revision$', '$ ', ''), 10)"/>
</xsl:variable>

<xsl:template match="s:Envelope/s:Body/m:GetItemResponse">
Room;Subject;StartTime;EndTime;Organizer;Email;Name;Modifier;ApptId;RecurId;
<xsl:for-each select="//t:Attendee">
    <xsl:value-of select="substring-before(../../t:WebClientReadFormQueryString, '/')"/><xsl:text>;</xsl:text>
    <xsl:value-of select="../../t:Subject"/><xsl:text>;</xsl:text>
    <xsl:value-of select="../../t:Start"/><xsl:text>;</xsl:text>
    <xsl:value-of select="../../t:End"/><xsl:text>;</xsl:text>
    <xsl:value-of select="../../t:Organizer/t:Mailbox/t:EmailAddress"/><xsl:text>;</xsl:text>
    <xsl:value-of select="t:Mailbox/t:EmailAddress"/><xsl:text>;</xsl:text>
    <xsl:value-of select="t:Mailbox/t:Name"/><xsl:text>;</xsl:text>
    <xsl:choose>
      <xsl:when test="../../t:IsCancelled='true'">D</xsl:when>
      <xsl:when test="../t:IsUnmodified='false'">C</xsl:when>
      <xsl:otherwise>U</xsl:otherwise>
    </xsl:choose><xsl:text>;</xsl:text>
    <xsl:value-of select="../../t:ItemId/@Id"/><xsl:text>;</xsl:text>
    <xsl:value-of select="../../t:UID"/>;
</xsl:for-each>
</xsl:template>

<xsl:template match="s:Envelope/s:Body/m:SyncFolderItemsResponse/m:ResponseMessages">SyncState
<xsl:for-each select="m:SyncFolderItemsResponseMessage">
    <xsl:if test="@ResponseClass='Success'">
    <xsl:value-of select="m:SyncState"/>
    </xsl:if>
</xsl:for-each>
</xsl:template>

</xsl:stylesheet>